class CreateItamAssetData < ActiveRecord::Migration[4.2]
  def change
    create_table :itam_assets do |t|
      t.string :reference, :index => true, :null => false
      t.string :asset_description
      t.belongs_to :asset_category, :index => true #, :foreign_key => true
      t.belongs_to :status, :index => true #, :foreign_key => true
      t.belongs_to :vendor, :index => true #, :foreign_key => true
      t.belongs_to :employee, :index => true #, :foreign_key => true
      t.belongs_to :department, :index => true #, :foreign_key => true
      t.string :brand
      t.string :model
      t.string :model_number
      t.string :serial_number
      t.string :barcode_number
      t.datetime :date_aquired
      t.datetime :date_sold
      t.decimal :purchase_price
      t.string :deprication_method
      t.float :depreciable_life
      t.decimal :salvage_value
      t.decimal :current_value
      t.text :comments
      t.text :description
      t.datetime :next_scheduled_maintenance

      t.timestamps :null => false
    end

    create_table :itam_asset_categories do |t|
      t.string :name, :index => true, :null => false
      t.string :description

      t.timestamps :null => false
    end

    create_table :itam_custom_attribute_properties do |t|
      t.string :name, :null => false
      t.string :description
      t.string :attribute_type, :null => false
      t.boolean :required, :null => false
      t.belongs_to :asset_category, :index => true #, :foreign_key => true

      t.timestamps :null => false
    end

    add_index :itam_custom_attribute_properties, [ :name, :asset_category_id ], :unique => true, :name => :index_asset_attribute_properties_on_name_and_asset_category_id

    create_table :itam_custom_attributes do |t|
      t.string :value, :null => false
      t.string :notes
      t.belongs_to :asset, :index => true #, :foreign_key => true
      t.belongs_to :custom_attribute_properties, :index => true #, :foreign_key => true

      t.timestamps :null => false
    end

    add_index :itam_custom_attributes, [ :asset_id, :custom_attribute_properties_id ], :unique => true, :name => :index_attributes_on_asset_id_and_attribute_properties_id
  end

end
